public class Person 
{
    private String name;
    
    private String address;
    
    private static int peopleCount;
    
    public static final int MAX_PEOPLE_COUNT = 100;
    
    public Person(String name, String address) {
        this.name = name;
        this.address = address;
        peopleCount++;   
    }
    
    public String getAddress() {
        return address;
    }
    
    public String getName() {
        return name;
    }
    
    public static int howManyPeople() {
        return peopleCount;
    }
    
    public boolean maxPeopleCountReached() {
        return peopleCount >= MAX_PEOPLE_COUNT;
    }
}













